Client A P I
List server activity
Returns a paginated list of activity log entries for the server.
GET
/api/client/servers/{server_uuid}/activityAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Query Parameters
page?integer
Page number to retrieve.
per_page?integer
Number of activity log entries to return per page. The maximum is 100.
filter[event]?string
Filter activity by event name.
sort?string
Sort activity by timestamp. Prefix with "-" for descending order.
Value in
- "timestamp"
- "-timestamp"
include?string
Comma-separated relationships to include. Supports actor.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/activity?page=1&per_page=25&filter%5Bevent%5D=server%3Apower.start&sort=-timestamp&include=actor"{ "object": "list", "data": [ { "object": "activity_log", "attributes": { "id": "3032a4beba0cc85ba637566923b54c9addc94b63", "batch": "string", "event": "user:account.email-changed", "is_api": false, "ip": "192.0.2.10", "description": "Changed account email address.", "properties": { "property1": "string", "property2": "string" }, "has_additional_metadata": false, "timestamp": "2026-09-22T14:45:23+00:00", "relationships": { "actor": { "object": "user", "attributes": { "id": 22065, "admin": false, "username": "vernon82_i4mrjhg3wq", "email": "[email protected]", "first_name": "Skye", "last_name": "Rogahn", "language": "en" } } } } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } } }}